> ## Documentation Index
> Fetch the complete documentation index at: https://api.amlyze.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Operation Reconciliation

> Returns all registered operations for a given timeframe.



## OpenAPI

````yaml /api/openapi_integrations.json get /api/integration-services/v1/operations-reconciliation
openapi: 3.0.1
info:
  title: Integration Services API
  description: API for retrieving customer information by unique id.
  version: '1.0'
servers:
  - url: https://{{baseUrl}}
security:
  - bearerAuth: []
tags: []
paths:
  /api/integration-services/v1/operations-reconciliation:
    get:
      tags:
        - Operation Reconciliation
      summary: Operation Reconciliation
      description: Returns all registered operations for a given timeframe.
      operationId: getOperationsReconciliation
      parameters:
        - name: registeredFrom
          in: query
          description: 'Timestamp Format: ISO 8601 yyyy-MM-dd''T''HH:mm:ss.SSSX.'
          required: true
          schema:
            type: string
            format: date-time
        - name: registeredTill
          in: query
          description: 'Timestamp Format: ISO 8601 yyyy-MM-dd''T''HH:mm:ss.SSSX.'
          required: false
          schema:
            type: string
            format: date-time
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OperationsReconciliationResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OperationsReconciliationErrorResponse'
components:
  schemas:
    OperationsReconciliationResponse:
      type: object
      properties:
        operations:
          type: array
          items:
            $ref: '#/components/schemas/ReconciliationOperation'
    OperationsReconciliationErrorResponse:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ErrorMessage'
    ReconciliationOperation:
      type: object
      properties:
        extId:
          type: string
          description: External identifier of operation.
          example: 8d263ef3-cc76-4c2c-a16d-de143c535c2c
        businessUnit:
          type: string
          description: Business unit to which operation belongs to.
          example: sandbox
    ErrorMessage:
      type: object
      properties:
        code:
          type: string
          description: Error code.
          example: BAD_REQUEST
        description:
          type: string
          description: error description
          example: RegisteredFrom must be before registeredTill
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````